Subject: RE: AW: [Enum] Please start thinking about agenda items for IETF

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 15 Jun 2004 07:25:42 -0400

> For iENUM, the CSP who is the Registrant for some number blocks may 
> well want to
> have a program to set up their multiple zone contents. They 
> will have a 
> potentially
> huge number of NAPTRs to populate in different zones, and will almost 
> certainly have
> their own provisioning application (with its own internal formats) to 
> do this.
> However...
> 
> In this case why do they want EPP-E164 rather than sending the Zone 
> files (or some
> other format) directly to their 3rd party DNS service provider, 
> assuming that they
> aren't doing this themselves?

Anyone building the zone themselves won't need to use a provisioning
protocol like EPP.

> Is the goal of EPP-E164 just to specify a common format of 
> the data to 
> be sent,
> along with a single application protocol to carry the data?

The goal is for entities that *will* be using EPP to have a facility to
provision the data.  It might also be useful for entities that don't have a
provisioning mechanism in place -- this is one possibility that they might
choose to implement.

> How is this going to help a CSP who may have to convert from 
> their own 
> internal
> provisioning system formats into another to be sent over the net 
> anyway? A more likely
> scenario is a CSP saying to the DNS provider "this is my format in 
> which you will get
> the data - sort it out yourself".

In that case it might not be helpful at all.

-Scott-

_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum